Amazon Linux AMI : httpd24 (ALAS-2014-309)

This script is Copyright (C) 2014-2015 Tenable Network Security, Inc.

Synopsis :

The remote Amazon Linux AMI host is missing a security update.

Description :

The log_cookie function in mod_log_config.c in the mod_log_config
module in the Apache HTTP Server before 2.4.8 allows remote attackers
to cause a denial of service (segmentation fault and daemon crash) via
a crafted cookie that is not properly handled during truncation.

See also :

Solution :

Run 'yum update httpd24' to update your system.

Risk factor :

Medium / CVSS Base Score : 5.0

Family: Amazon Linux Local Security Checks

Nessus Plugin ID: 73228 ()

Bugtraq ID:

CVE ID: CVE-2014-0098